Index: trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 2755)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 2756)
@@ -38,5 +38,5 @@
   [Content(typeof(IOperator), false)]
   public sealed partial class OperatorTreeView : ItemView {
-    private Dictionary<IOperatorParameter, List<TreeNode>> operatorParameterNodeTable;
+    private Dictionary<IValueParameter<IOperator>, List<TreeNode>> opParamNodeTable;
     private Dictionary<IOperator, List<TreeNode>> operatorNodeTable;
     private Dictionary<IObservableKeyedCollection<string, IParameter>, IOperator> parametersOperatorTable;
@@ -58,5 +58,5 @@
       InitializeComponent();
       graphTreeView.Sorted = true;
-      operatorParameterNodeTable = new Dictionary<IOperatorParameter, List<TreeNode>>();
+      opParamNodeTable = new Dictionary<IValueParameter<IOperator>, List<TreeNode>>();
       operatorNodeTable = new Dictionary<IOperator, List<TreeNode>>();
       parametersOperatorTable = new Dictionary<IObservableKeyedCollection<string, IParameter>, IOperator>();
@@ -94,16 +94,16 @@
 
     #region TreeNode Management
-    private TreeNode CreateTreeNode(IOperatorParameter operatorParameter) {
+    private TreeNode CreateTreeNode(IValueParameter<IOperator> opParam) {
       TreeNode node = new TreeNode();
-      node.Text = operatorParameter.Name + ": ";
-      SetOperatorParameterTag(node, operatorParameter);
-
-      if (!operatorParameterNodeTable.ContainsKey(operatorParameter)) {
-        operatorParameterNodeTable.Add(operatorParameter, new List<TreeNode>());
-        operatorParameter.ValueChanged += new EventHandler(operatorParameter_ValueChanged);
-      }
-      operatorParameterNodeTable[operatorParameter].Add(node);
-
-      IOperator op = operatorParameter.Value;
+      node.Text = opParam.Name + ": ";
+      SetOperatorParameterTag(node, opParam);
+
+      if (!opParamNodeTable.ContainsKey(opParam)) {
+        opParamNodeTable.Add(opParam, new List<TreeNode>());
+        opParam.ValueChanged += new EventHandler(opParam_ValueChanged);
+      }
+      opParamNodeTable[opParam].Add(node);
+
+      IOperator op = opParam.Value;
       if (op == null)
         node.Text += "-";
@@ -139,5 +139,5 @@
 
       foreach (IParameter param in op.Parameters) {
-        if (param is IOperatorParameter)
+        if (param is IValueParameter<IOperator>)
           node.Nodes.Add(new TreeNode());
       }
@@ -167,10 +167,10 @@
       ClearTreeNode(node);
 
-      IOperatorParameter opParam = GetOperatorParameterTag(node);
+      IValueParameter<IOperator> opParam = GetOperatorParameterTag(node);
       if (opParam != null) {
-        operatorParameterNodeTable[opParam].Remove(node);
-        if (operatorParameterNodeTable[opParam].Count == 0) {
-          opParam.ValueChanged -= new EventHandler(operatorParameter_ValueChanged);
-          operatorParameterNodeTable.Remove(opParam);
+        opParamNodeTable[opParam].Remove(node);
+        if (opParamNodeTable[opParam].Count == 0) {
+          opParam.ValueChanged -= new EventHandler(opParam_ValueChanged);
+          opParamNodeTable.Remove(opParam);
         }
       }
@@ -180,5 +180,5 @@
     private void AddParameterNodes(IOperator op, IEnumerable<IParameter> parameters) {
       foreach (IParameter param in parameters) {
-        IOperatorParameter opParam = param as IOperatorParameter;
+        IValueParameter<IOperator> opParam = param as IValueParameter<IOperator>;
         if (opParam != null) {
           foreach (TreeNode node in operatorNodeTable[op])
@@ -189,8 +189,8 @@
     private void RemoveParameterNodes(IEnumerable<IParameter> parameters) {
       foreach (IParameter param in parameters) {
-        IOperatorParameter opParam = param as IOperatorParameter;
+        IValueParameter<IOperator> opParam = param as IValueParameter<IOperator>;
         if (opParam != null) {
-          while (operatorParameterNodeTable.ContainsKey(opParam))
-            RemoveTreeNode(operatorParameterNodeTable[opParam][0]);
+          while (opParamNodeTable.ContainsKey(opParam))
+            RemoveTreeNode(opParamNodeTable[opParam][0]);
         }
       }
@@ -199,12 +199,12 @@
 
     #region Parameter and Operator Events
-    private void operatorParameter_ValueChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(operatorParameter_ValueChanged), sender, e);
-      else {
-        IOperatorParameter opParam = (IOperatorParameter)sender;
-        foreach (TreeNode node in operatorParameterNodeTable[opParam].ToArray())
+    private void opParam_ValueChanged(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(opParam_ValueChanged), sender, e);
+      else {
+        IValueParameter<IOperator> opParam = (IValueParameter<IOperator>)sender;
+        foreach (TreeNode node in opParamNodeTable[opParam].ToArray())
           ClearTreeNode(node);
-        foreach (TreeNode node in operatorParameterNodeTable[opParam]) {
+        foreach (TreeNode node in opParamNodeTable[opParam]) {
           node.Text = opParam.Name + ": ";
           if (opParam.Value == null)
@@ -221,5 +221,5 @@
         IOperator op = (IOperator)sender;
         foreach (TreeNode node in operatorNodeTable[op]) {
-          IOperatorParameter opParam = GetOperatorParameterTag(node);
+          IValueParameter<IOperator> opParam = GetOperatorParameterTag(node);
           if (opParam == null)
             node.Text = op.Name + " (" + op.ItemName + ")";
@@ -287,5 +287,5 @@
         IOperator op = GetOperatorTag(node);
         foreach (IParameter param in op.Parameters) {
-          IOperatorParameter opParam = param as IOperatorParameter;
+          IValueParameter<IOperator> opParam = param as IValueParameter<IOperator>;
           if (opParam != null) node.Nodes.Add(CreateTreeNode(opParam));
         }
@@ -299,5 +299,5 @@
     private void graphTreeView_KeyDown(object sender, KeyEventArgs e) {
       if ((e.KeyCode == Keys.Delete) && (graphTreeView.SelectedNode != null)) {
-        IOperatorParameter opParam = GetOperatorParameterTag(graphTreeView.SelectedNode);
+        IValueParameter<IOperator> opParam = GetOperatorParameterTag(graphTreeView.SelectedNode);
         if (opParam != null) opParam.Value = null;
       }
@@ -324,5 +324,5 @@
     private void graphTreeView_ItemDrag(object sender, ItemDragEventArgs e) {
       TreeNode node = (TreeNode)e.Item;
-      IOperatorParameter opParam = GetOperatorParameterTag(node);
+      IValueParameter<IOperator> opParam = GetOperatorParameterTag(node);
       IOperator op = GetOperatorTag(node);
       DataObject data = new DataObject();
@@ -357,5 +357,5 @@
         if ((e.Effect & DragDropEffects.Copy) == DragDropEffects.Copy) op = (IOperator)op.Clone();
         TreeNode node = graphTreeView.GetNodeAt(graphTreeView.PointToClient(new Point(e.X, e.Y)));
-        IOperatorParameter opParam = GetOperatorParameterTag(node);
+        IValueParameter<IOperator> opParam = GetOperatorParameterTag(node);
         opParam.Value = op;
       }
@@ -389,19 +389,19 @@
     }
 
-    private IOperatorParameter GetOperatorParameterTag(TreeNode node) {
+    private IValueParameter<IOperator> GetOperatorParameterTag(TreeNode node) {
       if (node.Tag != null)
-        return ((Tuple<IOperatorParameter, IOperator>)node.Tag).Item1;
+        return ((Tuple<IValueParameter<IOperator>, IOperator>)node.Tag).Item1;
       else
         return null;
     }
-    private void SetOperatorParameterTag(TreeNode node, IOperatorParameter operatorParameter) {
+    private void SetOperatorParameterTag(TreeNode node, IValueParameter<IOperator> opParam) {
       if (node.Tag == null)
-        node.Tag = new Tuple<IOperatorParameter, IOperator>(operatorParameter, null);
-      else
-        ((Tuple<IOperatorParameter, IOperator>)node.Tag).Item1 = operatorParameter;
+        node.Tag = new Tuple<IValueParameter<IOperator>, IOperator>(opParam, null);
+      else
+        ((Tuple<IValueParameter<IOperator>, IOperator>)node.Tag).Item1 = opParam;
     }
     private IOperator GetOperatorTag(TreeNode node) {
       if (node.Tag != null)
-        return ((Tuple<IOperatorParameter, IOperator>)node.Tag).Item2;
+        return ((Tuple<IValueParameter<IOperator>, IOperator>)node.Tag).Item2;
       else
         return null;
@@ -409,7 +409,7 @@
     private void SetOperatorTag(TreeNode node, IOperator op) {
       if (node.Tag == null)
-        node.Tag = new Tuple<IOperatorParameter, IOperator>(null, op);
-      else
-        ((Tuple<IOperatorParameter, IOperator>)node.Tag).Item2 = op;
+        node.Tag = new Tuple<IValueParameter<IOperator>, IOperator>(null, op);
+      else
+        ((Tuple<IValueParameter<IOperator>, IOperator>)node.Tag).Item2 = op;
     }
     #endregion
Index: trunk/sources/HeuristicLab.Core/3.3/HeuristicLab.Core-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/HeuristicLab.Core-3.3.csproj	(revision 2755)
+++ trunk/sources/HeuristicLab.Core/3.3/HeuristicLab.Core-3.3.csproj	(revision 2756)
@@ -104,8 +104,10 @@
     <Compile Include="ChangedEventArgs.cs" />
     <None Include="HeuristicLabCorePlugin.cs.frame" />
+    <Compile Include="Interfaces\IValueLookupParameter.cs" />
+    <Compile Include="Interfaces\IValueParameter.cs" />
+    <Compile Include="Interfaces\ILookupParameter.cs" />
     <Compile Include="ItemArray.cs" />
     <Compile Include="DeepCloneable.cs" />
     <Compile Include="Engine.cs" />
-    <Compile Include="Interfaces\IOperatorParameter.cs" />
     <Compile Include="Interfaces\IScope.cs" />
     <Compile Include="Interfaces\IVariable.cs" />
Index: trunk/sources/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs	(revision 2756)
+++ trunk/sources/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs	(revision 2756)
@@ -0,0 +1,33 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using System.Xml;
+
+namespace HeuristicLab.Core {
+  public interface ILookupParameter<T> : IParameter where T : class, IItem {
+    string ActualName { get; set; }
+
+    event EventHandler ActualNameChanged;
+  }
+}
Index: trunk/sources/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs	(revision 2756)
+++ trunk/sources/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs	(revision 2756)
@@ -0,0 +1,29 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using System.Xml;
+
+namespace HeuristicLab.Core {
+  public interface IValueLookupParameter<T> : IValueParameter<T>, ILookupParameter<T> where T : class, IItem { }
+}
Index: trunk/sources/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs	(revision 2756)
+++ trunk/sources/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs	(revision 2756)
@@ -0,0 +1,33 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using System.Xml;
+
+namespace HeuristicLab.Core {
+  public interface IValueParameter<T> : IParameter where T : class, IItem {
+    T Value { get; set; }
+
+    event EventHandler ValueChanged;
+  }
+}
Index: trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs
===================================================================
--- trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 2755)
+++ trunk/sources/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 2756)
@@ -115,12 +115,12 @@
       var opParams = from o in Operators
                      from p in o.Parameters
-                     where p is IOperatorParameter
-                     where (((IOperatorParameter)p).Value != null) && (((IOperatorParameter)p).Value == op)
-                     select (IOperatorParameter)p;
-      foreach (IOperatorParameter opParam in opParams)
+                     where p is IValueParameter<IOperator>
+                     where (((IValueParameter<IOperator>)p).Value != null) && (((IValueParameter<IOperator>)p).Value == op)
+                     select (IValueParameter<IOperator>)p;
+      foreach (IValueParameter<IOperator> opParam in opParams)
         opParam.Value = null;
     }
     private void AddParameter(IParameter param) {
-      IOperatorParameter opParam = param as IOperatorParameter;
+      IValueParameter<IOperator> opParam = param as IValueParameter<IOperator>;
       if (opParam != null) {
         RegisterOperatorParameterEvents(opParam);
@@ -129,5 +129,5 @@
     }
     private void RemoveParameter(IParameter param) {
-      IOperatorParameter opParam = param as IOperatorParameter;
+      IValueParameter<IOperator> opParam = param as IValueParameter<IOperator>;
       if (opParam != null) {
         DeregisterOperatorParameterEvents(opParam);
@@ -163,8 +163,8 @@
       op.Parameters.CollectionReset -= new CollectionItemsChangedEventHandler<IParameter>(Parameters_CollectionReset);
     }
-    private void RegisterOperatorParameterEvents(IOperatorParameter opParam) {
+    private void RegisterOperatorParameterEvents(IValueParameter<IOperator> opParam) {
       opParam.ValueChanged += new EventHandler(opParam_ValueChanged);
     }
-    private void DeregisterOperatorParameterEvents(IOperatorParameter opParam) {
+    private void DeregisterOperatorParameterEvents(IValueParameter<IOperator> opParam) {
       opParam.ValueChanged -= new EventHandler(opParam_ValueChanged);
     }
@@ -207,5 +207,5 @@
     }
     private void opParam_ValueChanged(object sender, EventArgs e) {
-      IOperatorParameter opParam = (IOperatorParameter)sender;
+      IValueParameter<IOperator> opParam = (IValueParameter<IOperator>)sender;
       if (opParam.Value != null) Operators.Add(opParam.Value);
     }
Index: trunk/sources/HeuristicLab.Operators.Views/3.3/HeuristicLab.Operators.Views-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/HeuristicLab.Operators.Views-3.3.csproj	(revision 2755)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/HeuristicLab.Operators.Views-3.3.csproj	(revision 2756)
@@ -58,4 +58,10 @@
     </Compile>
     <None Include="HeuristicLabOperatorsViewsPlugin.cs.frame" />
+    <Compile Include="MultipleSuccessorsOperatorView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="MultipleSuccessorsOperatorView.Designer.cs">
+      <DependentUpon>MultipleSuccessorsOperatorView.cs</DependentUpon>
+    </Compile>
     <Compile Include="HeuristicLabOperatorsViewsPlugin.cs" />
     <Compile Include="OperatorView.cs">
Index: trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleSuccessorsOperatorView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleSuccessorsOperatorView.Designer.cs	(revision 2756)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleSuccessorsOperatorView.Designer.cs	(revision 2756)
@@ -0,0 +1,158 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Operators.Views {
+  partial class MultipleSuccessorsOperatorView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.tabControl = new System.Windows.Forms.TabControl();
+      this.successorsTabPage = new System.Windows.Forms.TabPage();
+      this.successorsListView = new HeuristicLab.Core.Views.OperatorListView();
+      this.parametersTabPage = new System.Windows.Forms.TabPage();
+      this.parameterCollectionView = new HeuristicLab.Core.Views.ParameterCollectionView();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      this.tabControl.SuspendLayout();
+      this.successorsTabPage.SuspendLayout();
+      this.parametersTabPage.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // nameTextBox
+      // 
+      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      this.nameTextBox.Size = new System.Drawing.Size(414, 20);
+      // 
+      // descriptionTextBox
+      // 
+      this.descriptionTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.descriptionTextBox.Size = new System.Drawing.Size(414, 86);
+      // 
+      // tabControl
+      // 
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.tabControl.Controls.Add(this.successorsTabPage);
+      this.tabControl.Controls.Add(this.parametersTabPage);
+      this.tabControl.Location = new System.Drawing.Point(0, 118);
+      this.tabControl.Name = "tabControl";
+      this.tabControl.SelectedIndex = 0;
+      this.tabControl.Size = new System.Drawing.Size(486, 364);
+      this.tabControl.TabIndex = 4;
+      // 
+      // successorsTabPage
+      // 
+      this.successorsTabPage.Controls.Add(this.successorsListView);
+      this.successorsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.successorsTabPage.Name = "successorsTabPage";
+      this.successorsTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.successorsTabPage.Size = new System.Drawing.Size(478, 338);
+      this.successorsTabPage.TabIndex = 0;
+      this.successorsTabPage.Text = "Successors";
+      this.successorsTabPage.UseVisualStyleBackColor = true;
+      // 
+      // successorsListView
+      // 
+      this.successorsListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.successorsListView.Caption = "Operator List";
+      this.successorsListView.Content = null;
+      this.successorsListView.Location = new System.Drawing.Point(6, 6);
+      this.successorsListView.Name = "successorsListView";
+      this.successorsListView.Size = new System.Drawing.Size(466, 326);
+      this.successorsListView.TabIndex = 0;
+      // 
+      // parametersTabPage
+      // 
+      this.parametersTabPage.Controls.Add(this.parameterCollectionView);
+      this.parametersTabPage.Location = new System.Drawing.Point(4, 22);
+      this.parametersTabPage.Name = "parametersTabPage";
+      this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.parametersTabPage.Size = new System.Drawing.Size(478, 338);
+      this.parametersTabPage.TabIndex = 1;
+      this.parametersTabPage.Text = "Parameters";
+      this.parametersTabPage.UseVisualStyleBackColor = true;
+      // 
+      // parameterCollectionView
+      // 
+      this.parameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.parameterCollectionView.Caption = "ParameterCollection";
+      this.parameterCollectionView.Content = null;
+      this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
+      this.parameterCollectionView.Name = "parameterCollectionView";
+      this.parameterCollectionView.Size = new System.Drawing.Size(466, 326);
+      this.parameterCollectionView.TabIndex = 0;
+      // 
+      // MultipleSuccessorsOperatorView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.tabControl);
+      this.Name = "MultipleSuccessorsOperatorView";
+      this.Size = new System.Drawing.Size(486, 482);
+      this.Controls.SetChildIndex(this.tabControl, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.Controls.SetChildIndex(this.descriptionLabel, 0);
+      this.Controls.SetChildIndex(this.nameTextBox, 0);
+      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.tabControl.ResumeLayout(false);
+      this.successorsTabPage.ResumeLayout(false);
+      this.parametersTabPage.ResumeLayout(false);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    protected System.Windows.Forms.TabControl tabControl;
+    protected System.Windows.Forms.TabPage successorsTabPage;
+    protected System.Windows.Forms.TabPage parametersTabPage;
+    private HeuristicLab.Core.Views.ParameterCollectionView parameterCollectionView;
+    private HeuristicLab.Core.Views.OperatorListView successorsListView;
+  }
+}
Index: trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleSuccessorsOperatorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleSuccessorsOperatorView.cs	(revision 2756)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleSuccessorsOperatorView.cs	(revision 2756)
@@ -0,0 +1,72 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Operators.Views { 
+  /// <summary>
+  /// The base class for visual representations of items.
+  /// </summary>
+  [Content(typeof(MultipleSuccessorsOperator), true)]
+  public partial class MultipleSuccessorsOperatorView : NamedItemView {
+    public new MultipleSuccessorsOperator Content {
+      get { return (MultipleSuccessorsOperator)base.Content; }
+      set { base.Content = value; }
+    }
+
+    /// <summary>
+    /// Initializes a new instance of <see cref="ItemBaseView"/>.
+    /// </summary>
+    public MultipleSuccessorsOperatorView() {
+      InitializeComponent();
+    }
+    /// <summary>
+    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
+    /// </summary>
+    /// <param name="item">The item that should be displayed.</param>
+    public MultipleSuccessorsOperatorView(MultipleSuccessorsOperator content)
+      : this() {
+      Content = content;
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        successorsListView.Content = null;
+        parameterCollectionView.Content = null;
+        tabControl.Enabled = false;
+      } else {
+        successorsListView.Content = Content.Successors;
+        parameterCollectionView.Content = ((IOperator)Content).Parameters;
+        tabControl.Enabled = true;
+      }
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Operators/3.3/Counter.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/Counter.cs	(revision 2755)
+++ trunk/sources/HeuristicLab.Operators/3.3/Counter.cs	(revision 2756)
@@ -36,21 +36,24 @@
   [Creatable("Test")]
   public sealed class Counter : SingleSuccessorOperator {
-    public ItemParameter<IntData> Value {
-      get { return (ItemParameter<IntData>)Parameters["Value"]; }
+    public LookupParameter<IntData> ValueParameter {
+      get { return (LookupParameter<IntData>)Parameters["Value"]; }
     }
-    public ItemParameter<IntData> Increment {
-      get { return (ItemParameter<IntData>)Parameters["Increment"]; }
+    public ValueLookupParameter<IntData> IncrementParaneter {
+      get { return (ValueLookupParameter<IntData>)Parameters["Increment"]; }
+    }
+    public IntData Increment {
+      get { return IncrementParaneter.Value; }
+      set { IncrementParaneter.Value = value; }
     }
 
     public Counter()
       : base() {
-      Parameters.Add(new ItemParameter<IntData>("Value", "The value which should be incremented."));
-      Parameters.Add(new ItemParameter<IntData>("Increment", "The increment which is added to the value.", new IntData(1)));
+      Parameters.Add(new LookupParameter<IntData>("Value", "The value which should be incremented."));
+      Parameters.Add(new ValueLookupParameter<IntData>("Increment", "The increment which is added to the value.", new IntData(1)));
     }
 
     public override ExecutionContextCollection Apply() {
-      IntData value = (IntData)Value.Value;
-      IntData increment = (IntData)Increment.Value;
-      value.Value += increment.Value;
+      if (ValueParameter.ActualValue == null) ValueParameter.ActualValue = new IntData();
+      ValueParameter.ActualValue.Value += IncrementParaneter.ActualValue.Value;
       return base.Apply();
     }
